import { axios } from '@/utils/request'

//  客户类型列表  分页
export const custTypeList = (params) => {
  const url = `/custType/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}

//  客户类型列表  不分页
export const custTypeAllList = (params) => {
  return axios({
    url: `/custType/queryList`,
    data: {},
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
//  客户类型列表  下拉
export const custTypeFindAllList = (params) => {
  return axios({
    url: `/custType/findAll`,
    data: {},
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}

// 新增/编辑客户类型
export const custTypeSave = params => {
  return axios({
    url: '/custType/save',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent(!params.id ? '新增' : '编辑')
    }
  })
}

// 删除客户类型
export const custTypeDel = params => {
  return axios({
    url: `/custType/delete/${params.id}`,
    data: {},
    method: 'get',
    headers: {
      'module': encodeURIComponent('删除')
    }
  })
}
