import { axios } from '@/utils/request'

//  促销查看列表  有分页
export const promoTerminalList = (params) => {
  const url = `/promoTerminal/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}

// 促销查看详情
export const promoTerminalDetail = params => {
  return axios({
    url: `/promoTerminal/findBySn/${params.id}`,
    data: {},
    method: 'get',
    headers: {
      'module': encodeURIComponent('促销展示详情')
    }
  })
}
